tigase.osgi

## Class OSGiScriptEngineFactory

- java.lang.Object
- - tigase.osgi.OSGiScriptEngineFactory

- All Implemented Interfaces:
    ScriptEngineFactory

      public class OSGiScriptEngineFactory
      extends Object
      implements ScriptEngineFactory

  This is a wrapper class for the ScriptEngineFactory class that deals with context class loader issues It is necessary because engines (at least ruby) use the context classloader to find their resources (i.e., their "native" classes)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OSGiScriptEngineFactory(ScriptEngineFactory factory, ClassLoader contextClassLoader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEngineName()`
    `String` | `getEngineVersion()`
    `List<String>` | `getExtensions()`
    `String` | `getLanguageName()`
    `String` | `getLanguageVersion()`
    `String` | `getMethodCallSyntax(String obj, String m, String... args)`
    `List<String>` | `getMimeTypes()`
    `List<String>` | `getNames()`
    `String` | `getOutputStatement(String toDisplay)`
    `Object` | `getParameter(String key)`
    `String` | `getProgram(String... statements)`
    `ScriptEngine` | `getScriptEngine()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OSGiScriptEngineFactory

          public OSGiScriptEngineFactory(ScriptEngineFactory factory,
                                         ClassLoader contextClassLoader)

  - ### Method Detail

    - #### getEngineName

          public String getEngineName()

      Specified by:
        `getEngineName` in interface `ScriptEngineFactory`

    - #### getEngineVersion

          public String getEngineVersion()

      Specified by:
        `getEngineVersion` in interface `ScriptEngineFactory`

    - #### getExtensions

          public List<String> getExtensions()

      Specified by:
        `getExtensions` in interface `ScriptEngineFactory`

    - #### getLanguageName

          public String getLanguageName()

      Specified by:
        `getLanguageName` in interface `ScriptEngineFactory`

    - #### getLanguageVersion

          public String getLanguageVersion()

      Specified by:
        `getLanguageVersion` in interface `ScriptEngineFactory`

    - #### getMethodCallSyntax

          public String getMethodCallSyntax(String obj,
                                            String m,
                                            String... args)

      Specified by:
        `getMethodCallSyntax` in interface `ScriptEngineFactory`

    - #### getMimeTypes

          public List<String> getMimeTypes()

      Specified by:
        `getMimeTypes` in interface `ScriptEngineFactory`

    - #### getNames

          public List<String> getNames()

      Specified by:
        `getNames` in interface `ScriptEngineFactory`

    - #### getOutputStatement

          public String getOutputStatement(String toDisplay)

      Specified by:
        `getOutputStatement` in interface `ScriptEngineFactory`

    - #### getParameter

          public Object getParameter(String key)

      Specified by:
        `getParameter` in interface `ScriptEngineFactory`

    - #### getProgram

          public String getProgram(String... statements)

      Specified by:
        `getProgram` in interface `ScriptEngineFactory`

    - #### getScriptEngine

          public ScriptEngine getScriptEngine()

      Specified by:
        `getScriptEngine` in interface `ScriptEngineFactory`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.